[SCM] Samba Shared Repository - branch master updated

Jeremy Allison jra at samba.org
Wed Nov 25 14:18:11 MST 2009


The branch, master has been updated
       via  108da2a... Add RAW-CHKPATH test with case-sensitive share. Jeremy.
      from  4f89b39... s3-build: try to fix QNX build ("delay" is defined in lib headers).

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 108da2adaf77c152fd292bbdf5645923659a7c2c
Author: Jeremy Allison <jra at samba.org>
Date:   Wed Nov 25 13:17:38 2009 -0800

    Add RAW-CHKPATH test with case-sensitive share.
    Jeremy.

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/selftest.sh      |    3 +++
 source3/script/tests/test_posix_s3.sh |    4 ++++
 2 files changed, 7 insertions(+), 0 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index 80e5042..c952ef2 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -266,6 +266,9 @@ cat >$SERVERCONFFILE<<EOF
 [hideunread]
 	copy = tmp
 	hide unreadable = yes
+[tmpcase]
+	copy = tmp
+	case sensitive = yes
 [hideunwrite]
 	copy = tmp
 	hide unwriteable files = yes
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
index 60ed3e4..d54cf7b 100755
--- a/source3/script/tests/test_posix_s3.sh
+++ b/source3/script/tests/test_posix_s3.sh
@@ -96,6 +96,10 @@ for t in $tests; do
     else
 	    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
     fi
+    if [ "$t" = "RAW-CHKPATH" ]; then
+	    echo "Testing with case sensitive"
+	    testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"case -U"$username"%"$password" $t || failed=`expr $failed + 1`
+    fi
 done
 
 testok $0 $failed


-- 
Samba Shared Repository


More information about the samba-cvs mailing list